Search documentation of wx

# View Source wxFindReplaceDialog (wx v2.4.3)

`wxFindReplaceDialog` is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else).

The actual searching is supposed to be done in the owner window which is the parent of this dialog. Note that it means that unlike for the other standard dialogs this one `must` have a parent window. Also note that there is no way to use this dialog in a modal way; it is always, by design and implementation, modeless.

Please see the page_samples_dialogs sample for an example of using it.

This class is derived, and can use functions, from:

- `wxDialog`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxFindReplaceDialog

# Summary

## Types

wxFindReplaceDialog()

## Functions

create(This, Parent, Data, Title)

Equivalent to `create(This, Parent, Data, Title, [])`.

create/5

Creates the dialog; use `wxWindow:show/2` to show it on screen.

destroy(This)

Destroys the object

getData(This)

Get the `wxFindReplaceData` object used by this dialog.

new()
new(Parent, Data, Title)

Equivalent to `new(Parent, Data, Title, [])`.

new/4

After using default constructor `create/5` must be called.

# Types

Link to this type

# wxFindReplaceDialog()

View Source

    -type wxFindReplaceDialog() :: wx:wx_object().

# Functions

Link to this function

# create(This, Parent, Data, Title)

View Source

    -spec create(This, Parent, Data, Title) -> boolean()
                    when
                        This :: wxFindReplaceDialog(),
                        Parent :: wxWindow:wxWindow(),
                        Data :: wxFindReplaceData:wxFindReplaceData(),
                        Title :: unicode:chardata().

Equivalent to `create(This, Parent, Data, Title, [])`.

Link to this function

# create/5

View Source

    -spec create(This, Parent, Data, Title, [Option]) -> boolean()
                    when
                        This :: wxFindReplaceDialog(),
                        Parent :: wxWindow:wxWindow(),
                        Data :: wxFindReplaceData:wxFindReplaceData(),
                        Title :: unicode:chardata(),
                        Option :: {style, integer()}.

Creates the dialog; use `wxWindow:show/2` to show it on screen.

The `parent` and `data` parameters must be non-NULL.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxFindReplaceDialog()) -> ok.

Destroys the object

Link to this function

# getData(This)

View Source

    -spec getData(This) -> wxFindReplaceData:wxFindReplaceData() when This :: wxFindReplaceDialog().

Get the `wxFindReplaceData` object used by this dialog.

Link to this function

# new()

View Source

    -spec new() -> wxFindReplaceDialog().

Link to this function

# new(Parent, Data, Title)

View Source

    -spec new(Parent, Data, Title) -> wxFindReplaceDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Data :: wxFindReplaceData:wxFindReplaceData(),
                     Title :: unicode:chardata().

Equivalent to `new(Parent, Data, Title, [])`.

Link to this function

# new/4

View Source

    -spec new(Parent, Data, Title, [Option]) -> wxFindReplaceDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Data :: wxFindReplaceData:wxFindReplaceData(),
                     Title :: unicode:chardata(),
                     Option :: {style, integer()}.

After using default constructor `create/5` must be called.

The `parent` and `data` parameters must be non-NULL.